summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Igor Alexandrov <igor.alexandrov@outlook.com>2021-01-29 00:52:26 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-01-30 10:29:13 +0700
commited96c4794541477f470c8a95ac2941b68237a40d (patch)
treef3a65aab57228cc87aa801720cc8ce45960917ec
parent44d0ef25f6ce3e76b91192e0512354d238b9b949 (diff)
downloadslackbuilds-ed96c4794541477f470c8a95ac2941b68237a40d.tar.gz
slackbuilds-ed96c4794541477f470c8a95ac2941b68237a40d.tar.xz
desktop/kdocker: Added (dock applications into the systray)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/kdocker/README4
-rw-r--r--desktop/kdocker/doinst.sh9
-rw-r--r--desktop/kdocker/kdocker.SlackBuild98
-rw-r--r--desktop/kdocker/kdocker.info10
-rw-r--r--desktop/kdocker/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/desktop/kdocker/README b/desktop/kdocker/README
new file mode 100644
index 0000000000..acfc008205
--- /dev/null
+++ b/desktop/kdocker/README
@@ -0,0 +1,4 @@
+kdocker (Helper to dock any application into the system tray)
+
+kdocker is an application to help you dock any application into
+the system tray.
diff --git a/desktop/kdocker/doinst.sh b/desktop/kdocker/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/kdocker/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/kdocker/kdocker.SlackBuild b/desktop/kdocker/kdocker.SlackBuild
new file mode 100644
index 0000000000..685f455758
--- /dev/null
+++ b/desktop/kdocker/kdocker.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for kdocker
+
+# Copyright 2021 Igor Alexandrov <igor.alexandrov@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kdocker
+VERSION=${VERSION:-5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=KDocker
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake-qt5 \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -Dm644 helpers/kdocker.1 $PKG/usr/man/man1/kdocker.1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING CREDITS ChangeLog README.md TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/kdocker/kdocker.info b/desktop/kdocker/kdocker.info
new file mode 100644
index 0000000000..a0ac6fac4f
--- /dev/null
+++ b/desktop/kdocker/kdocker.info
@@ -0,0 +1,10 @@
+PRGNAM="kdocker"
+VERSION="5.3"
+HOMEPAGE="https://github.com/user-none/KDocker"
+DOWNLOAD="https://github.com/user-none/KDocker/archive/5.3/KDocker-5.3.tar.gz"
+MD5SUM="bd28476a96b859e812a7d639a3ac650c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Igor Alexandrov"
+EMAIL="igor.alexandrov@outlook.com"
diff --git a/desktop/kdocker/slack-desc b/desktop/kdocker/slack-desc
new file mode 100644
index 0000000000..fba8f28304
--- /dev/null
+++ b/desktop/kdocker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kdocker: kdocker (Helper to dock any application into the system tray)
+kdocker:
+kdocker: kdocker is an application to help you dock any application into
+kdocker: the system tray.
+kdocker:
+kdocker: https://github.com/user-none/KDocker
+kdocker:
+kdocker:
+kdocker:
+kdocker:
+kdocker: